% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/msi.dataset_methods.R
\docType{methods}
\name{getIntensityMat,msi.dataset-method}
\alias{getIntensityMat,msi.dataset-method}
\alias{getIntensityMat}
\title{Return the peaks intensity matrix.}
\usage{
\S4method{getIntensityMat}{msi.dataset}(object)
}
\arguments{
\item{object}{\link{msi.dataset-class} object.}
}
\value{
peaks intensity matrix. Rows represent pixels, and columns represent
peaks.
}
\description{
Return the peaks intensity matrix.
}
\examples{
## Load package
library("SPUTNIK")

## Create the msi.dataset-class object
sz <- c(5, 4)
x <- matrix(rnorm(sz[1] * sz[2] * 20), sz[1]*sz[2], 20)
mz <- sort(sample(100, ncol(x)))
msiX <- msiDataset(x, mz, sz[1], sz[2])

## Get m/z vector
mz <- getMZ(msiX)

## Get intensity matrix
X <- getIntensityMat(msiX)

## Get image size
sz <- getShapeMSI(msiX)
}
